# Suspend built-in

The suspend built-in suspends the shell.

## Syntax

- `suspend [-f]`

## Description

The suspend built-in sends a SIGSTOP signal to all processes in the process group to which the shell process belongs. The signal suspends the processes (including the shell). The suspended processes resume when they receive a SIGCONT signal.

If the shell is interactive and its process group ID is equal to the process ID of the session leader, the shell prints a warning message and refuses to send a signal unless the `-f` (`--force`) option is specified. (In such a case, there is no other job-controlling shell that can send a SIGCONT signal to resume the suspended shell, so the shell could never be resumed.)

## Options

`-f`
`--force`

  Suppress warnings that would prevent the shell from sending a signal.

## Exit status

The exit status is zero if the signal was successfully sent and non-zero otherwise.

## Notes

The suspend built-in is an elective built-in. It cannot be used in the POSIXly-correct mode because POSIX does not define its behavior.